Package com.ocient.jdbc.proto

## Interface PlanProtocol.RandomIntOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.RandomIntOperator`, `PlanProtocol.RandomIntOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.RandomIntOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getLargest()` `int32 largest = 2;`
`double` `getNullChance()` a value in the range [0, 1] representing the chance for a null value
`long` `getNumCols()` `uint64 numCols = 4;`
`long` `getNumRows()` `uint64 numRows = 3;`
`int` `getSmallest()` `int32 smallest = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getSmallest

    int getSmallest()

`int32 smallest = 1;`

Returns:
  The smallest.

#### getLargest

    int getLargest()

`int32 largest = 2;`

Returns:
  The largest.

#### getNumRows

    long getNumRows()

`uint64 numRows = 3;`

Returns:
  The numRows.

#### getNumCols

    long getNumCols()

`uint64 numCols = 4;`

Returns:
  The numCols.

#### getNullChance

    double getNullChance()

    a value in the range [0, 1] representing the chance for a null value

`double nullChance = 5;`

Returns:
  The nullChance.